/*****************************************************
Chip type               : ATmega128
Program type            : Application
AVR Core Clock frequency: 11,059200 MHz
Memory model            : Small
External RAM size       : 0
Data Stack size         : 1024
*****************************************************/

#include <mega128.h>
#include <delay.h>

#include <aat3151.c>

unsigned char i = 1;

void main(void)
{
// Analog Comparator initialization
// Analog Comparator: Off
// Analog Comparator Input Capture by Timer/Counter 1: Off
ACSR=0x80;
SFIOR=0x00;

aat3151_init ();

aat3151_write_register (D1D3current, 1);
aat3151_write_register (D4current, 1);
aat3151_write_register (MAXcurrent, scale15mA );
delay_ms(1500);
aat3151_write_register (D1D3current, 1);
aat3151_write_register (D4current, 1);
aat3151_write_register (MAXcurrent, scale20mA );
delay_ms(1500);
aat3151_write_register (D1D3current, 1);
aat3151_write_register (D4current, 1);
aat3151_write_register (MAXcurrent, scale30mA );
delay_ms(1500);

while (1)
      	{
      	aat3151_write_register (D1D3current, 16);
        aat3151_write_register (MAXcurrent, scale15mA );
        aat3151_select_register (D4current);
        
        for (i=15;i>0;i--)
        	{
                aat3151_write_data (i);
        	delay_ms(50);
                }
        delay_ms(1500);
        for (i=1;i<15;i++)
        	{
                aat3151_write_data (i);
        	delay_ms(50);
                }
        
                
        aat3151_sleep ();
        delay_ms(2000);
        }
}
